Subject: Re: [manet] Comments for OLSRv2-14

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 1 May 2012 12:41:21 +0100

Herberg>so far, nobody else seemed to be confused on which layer OLSRv2 is
used (or how the interfaces are defined). >IMO, unless other people in the
WG see the same danger of confusion, I would not change it.
I have no problem with your reaction, so than wait until you get other
voices then (not sure how many you want), as long as the draft doesn't care
about each single review-comment it only follows majority agreement on
comments. This type of review-system makes the document not include all
readers level of knowledge, that means the document is for specific group
which exclueds other readers or groups. However, I just will mention my
comments and do my work, I really don't care of the outcome decision, but I
will care if I authored a reviewed document.

clausen>An OLSRv2 interface can be physical or virtual. Chris explained it
well, I suggest re-reading his email.

chris explained>An OLSRv2 interface (a special case of a MANET interface,
see RFC 6130) is an IP interface, one which IP receives packets on, has one
or more IP addresses etc. It has a data link layer below it, but OLSRv2
doesn’t care about that. Your statement “a MANET interface is a data link
interface” is wrong.

Ok, I read again. It does not mention that it may be physical. I understand
from him it never can be physical, so I needed that to be clear, but now
you mentioned that it can be physical.

Abdussalam Baryun
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

On Mon, Apr 30, 2012 at 10:28 PM, Ulrich Herberg <[email-masked]>wrote:

> Abdussalam,
>
> so far, nobody else seemed to be confused on which layer OLSRv2 is used
> (or how the interfaces are defined). IMO, unless other people in the WG see
> the same danger of confusion, I would not change it.
>
> Regards
> Ulrich
>
>
> On Mon, Apr 30, 2012 at 2:10 PM, Abdussalam Baryun <
> [email-masked]> wrote:
>
>> Hi Herberg,
>>
>> I am suggesting to clarify interfaces, I donot like to change if
>> unnecessary. Mentioning that an interface is in the layer 3, or its
>> logical, or even just explaining the way Chris defined to me, really makes
>> difference. My question is why is the draft not mentioning that
>> OLSRv2-interface is an IP-interface or a logical-interface? Does the
>> authors see that this information is not important? or even
>> MANET-interfaces are in layer 3.  If we define protocols without mentioning
>> which layer it is located in, then how can we define such protocol, its
>> layer-location is more important than its functionality, because each layer
>> has its special interfaces, functions, services, and messages. There are
>> many documents that explain interface in the same model that OLSRv2 is
>> presenting so why didn't have confusion when I read them?
>>
>> >An OLSRv2 interface (a special case of a MANET interface, see RFC 6130)
>> is an IP interface, one which IP >receives packets on, has one or more IP
>> addresses etc. It has a data link layer below it, but OLSRv2 doesn’t >care
>> about that. Your statement “a MANET interface is a data link interface” is
>> wrong.
>>
>> >I don't think there is any confusion. Chris has pointed out the
>> relationship between MANET interface and OLSRv2 >interface clearly. I think
>> that RFC6130/draft-ietf-manet-olsrv2 define the terminology correctly. If
>> you would like to >change anything, please suggest concrete text to
>> replace, so that I can better understand what you mean.
>>
>> I disagree that there is no confusion. There are confusions in defining
>> terms in MANET WG, I have seen in the past a long discussion between many,
>> just arguing about defining host or router, and now l was confused of
>> interfaces in OLSRv2-draft. Maybe because I am not much familiar with OLSR,
>> or reading about network-interface in many papers, and I read RFC2501 (it
>> refers alot to wireless interface and communications) and mentioned in
>> RFC6130 for the interface as attach to communication medium, I thought it
>> was a medium as physical medium.
>>
>> I suggest to clarify by adding information in one of the following
>> explanation to the draft (even a line will do):
>>
>> - Mentioning which layer(s) the OLSRv2-interface works or allowed to be
>> at by the protocol, or
>> - defining the MANET-interface as Chris defined (IP-interface, at layer
>> 3) in terminology, or
>> - mentioning that OLSRv2-interface is not a wireless interface, or
>> - defining MANET-interface as logical interface.
>>
>> I am sorry to disturb, I actually still have many comments for
>> OLSRv2-draft and will try to submit, and let the WG to decide. However, I
>> thank you and Chris to explain to me so at least my other comments will be
>> in understanding.
>>
>> Abdussalam
>> ++++++++++++++++++
>>
>> On Mon, Apr 30, 2012 at 5:45 PM, Ulrich Herberg <[email-masked]>wrote:
>>
>>> Abdussalam,
>>>
>>> RFC6130 defines:
>>>
>>>
>>> MANET interface:
>>> An interface participating in a MANET and using this neighborhood
>>>       discovery protocol.  A router may have several MANET interfaces.
>>>
>>> And draft-ietf-manet-olsrv2 defines:
>>>
>>> OLSRv2 interface:
>>>       A MANET interface running this protocol.  A router running this
>>>       protocol MUST have at least one OLSRv2 interface.
>>>
>>> In one of the last OLSRv2 revisions, we made sure that OLSRv2
>>> differentiates between neighbors running only NHDP and neighbors running
>>> also OLSRv2, and only the latter are used for MPR selection, etc. I do not
>>> understand what you would like to change in the OLSRv2 draft.
>>>
>>> See comments below:
>>>
>>>  On Mon, Apr 30, 2012 at 8:24 AM, Abdussalam Baryun <
>>> [email-masked]> wrote:
>>>
>>>> Hi Henning,
>>>>
>>>> Please note that I read the first pages of draft many times before
>>>> posting any information.
>>>>
>>>> HR>I would suggest reading the OLSRv2-draft again, especially section
>>>> 2.
>>>>
>>>>
>>>> >OLSRv2 interface:
>>>> >A MANET interface running this protocol.  A router running this
>>>> >protocol MUST have at least one OLSRv2 interface.
>>>>
>>>> HR>A routing protocol which does not run on any interface would be
>>>> pretty
>>>> >useless, right?
>>>> You reply to the second sentence not the first which has 'running this
>>>> protocol' relating it not to the router it is relating it to the interface.
>>>> I know that router must have at least a network-interface ( or
>>>> data-link-layer) or MANET interface, this is not what I commenting and the
>>>> draft is mentioning. We don't assume at least Data-Link because it is
>>>> obvious and we are following TCP/IP model in the internet, but not at least
>>>> a specific-interface called bla bla.
>>>>
>>>> Why it defines the 'OLSRv2-interface' as a MANET-interface that RUNS
>>>> this protocol (OLSRv2) this means there is some thing related to OLSRv2 in
>>>> the layer-2. You should read again another paragraph mentioning as if there
>>>> is difference between MANET-interface and OLSRv2-interface.
>>>>
>>>> OLSRv2-14>p9>
>>>>
>>>> Supports routers that each have one or more participating OLSRv2
>>>>
>>>> interfaces, which will consist of some or all of its MANET
>>>>
>>>> interfaces using [RFC6130]. The set of a router’s OLSRv2
>>>>
>>>> interfaces, and the sets of its other MANET and non-MANET
>>>>
>>>> interfaces, may change over time. Each interface may have one or
>>>>
>>>> more network addresses (which may have prefix lengths), and these
>>>>
>>>> may also be dynamically changing.
>>>>
>>>> AB> it is clear from the above draft-page-9, that all MANET
>>>> interfaces are not an OLSRv2-interface, but All OLSRv2 interfaces are
>>>> MANET-interfaces. So we have to have in or node at least an
>>>> OLSRv2-interface, not at least one MANET-interfac so the protocol to work
>>>> correctly.
>>>>
>>>> AB> The above page-9 mentions NHDP as well that interfaces need this
>>>> protocol. What if there is not NHDP, or if it is not working, what will
>>>> happen. The draft SHOULD explain these issues.
>>>>
>>>
>>>
>>>
>>>> AB> It may be that all OLSRv2 routers (as implementation point of
>>>> practice) only need at least one MANET interface. But the authors need to
>>>> change. therefore, we know that All routers need at least on interface, but
>>>> the draft-wording has a special OLSRv2-interface. Then we need to change
>>>> the draft wording to the right explaination.
>>>>
>>>
>>>
>>> Can you suggest what you would like to change? I don't understand your
>>> point.
>>>
>>> Best regards
>>> Ulrich
>>>  +++++++++++++++++++++++++++++++++++++++++++
>>>
>>
>>
>> Hi Chris
>>
>> ok then if it was simple to explain as a special interface as
>> IP-interface why we have OLSRv2_draft saying that it is network-interface
>> as MANET is a network, but IP is not it is a protocol. IMO it is wrong to
>> refer to a network while you mean a protocol, even though I know I may
>> misunderstood. I sugget that this SHOULD be explained clearly. I think
>> every one seems to understand that network-interface must
>> include Data-Link-layer, therefore, RFC6130 or OLSRv2-draft should define
>> well as you did. I thank you for your comment,
>>
>> Therefore I suggest to change OLSRv2-interface definition as Chris
>> defined it very clearly. I hope the draft can change the definition,
>>
>> Abdussalam
>>
>> +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
>> On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK) <Chris.Dearlove
>> at baesystems.com> wrote:
>>
>>
>> An OLSRv2 interface (a special case of a MANET interface, see RFC 6130)
>> is an IP interface, one which IP receives packets on, has one or more IP
>> addresses etc. It has a data link layer below it, but OLSRv2 doesn’t care
>> about that. Your statement “a MANET interface is a data link interface” is
>> wrong.
>>
>>
>>
>> --
>>
>> Christopher Dearlove
>>
>> Senior Principal Engineer, Communications Group
>> Communications, Networks and Image Analysis Capability
>> BAE Systems Advanced Technology Centre
>> West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
>> Tel: +44 1245 242194 |  Fax: +44 1245 242124
>> chris.dearlove at baesystems.com | http://www.baesystems.com
>>
>>
>>
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 1 May 2012 12:19:21 +0000

I explicitly said it could be physical (but it doesn't matter) in a different email than the one you quoted.

[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: 01 May 2012 12:41
To: Ulrich Herberg; [email-masked]
Cc: manet; Dearlove, Christopher (UK)
Subject: Re: [manet] Comments for OLSRv2-14

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
Herberg>so far, nobody else seemed to be confused on which layer OLSRv2 is used (or how the interfaces are defined). >IMO, unless other people in the WG see the same danger of confusion, I would not change it.
I have no problem with your reaction, so than wait until you get other voices then (not sure how many you want), as long as the draft doesn't care about each single review-comment it only follows majority agreement on comments. This type of review-system makes the document not include all readers level of knowledge, that means the document is for specific group which exclueds other readers or groups. However, I just will mention my comments and do my work, I really don't care of the outcome decision, but I will care if I authored a reviewed document.
clausen>An OLSRv2 interface can be physical or virtual. Chris explained it well, I suggest re-reading his email.

chris explained>An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn't care about that. Your statement "a MANET interface is a data link interface" is wrong.

Ok, I read again. It does not mention that it may be physical. I understand from him it never can be physical, so I needed that to be clear, but now you mentioned that it can be physical.

Abdussalam Baryun

On Mon, Apr 30, 2012 at 10:28 PM, Ulrich Herberg <[email-masked]<mailto:[email-masked]>> wrote:
Abdussalam,

so far, nobody else seemed to be confused on which layer OLSRv2 is used (or how the interfaces are defined). IMO, unless other people in the WG see the same danger of confusion, I would not change it.

Regards
Ulrich

On Mon, Apr 30, 2012 at 2:10 PM, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
Hi Herberg,

I am suggesting to clarify interfaces, I donot like to change if unnecessary. Mentioning that an interface is in the layer 3, or its logical, or even just explaining the way Chris defined to me, really makes difference. My question is why is the draft not mentioning that OLSRv2-interface is an IP-interface or a logical-interface? Does the authors see that this information is not important? or even MANET-interfaces are in layer 3.  If we define protocols without mentioning which layer it is located in, then how can we define such protocol, its layer-location is more important than its functionality, because each layer has its special interfaces, functions, services, and messages. There are many documents that explain interface in the same model that OLSRv2 is presenting so why didn't have confusion when I read them?

>An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP >receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn't >care about that. Your statement "a MANET interface is a data link interface" is wrong.

>I don't think there is any confusion. Chris has pointed out the relationship between MANET interface and OLSRv2 >interface clearly. I think that RFC6130/draft-ietf-manet-olsrv2 define the terminology correctly. If you would like to >change anything, please suggest concrete text to replace, so that I can better understand what you mean.

I disagree that there is no confusion. There are confusions in defining terms in MANET WG, I have seen in the past a long discussion between many, just arguing about defining host or router, and now l was confused of interfaces in OLSRv2-draft. Maybe because I am not much familiar with OLSR, or reading about network-interface in many papers, and I read RFC2501 (it refers alot to wireless interface and communications) and mentioned in RFC6130 for the interface as attach to communication medium, I thought it was a medium as physical medium.

I suggest to clarify by adding information in one of the following explanation to the draft (even a line will do):

- Mentioning which layer(s) the OLSRv2-interface works or allowed to be at by the protocol, or
- defining the MANET-interface as Chris defined (IP-interface, at layer 3) in terminology, or
- mentioning that OLSRv2-interface is not a wireless interface, or
- defining MANET-interface as logical interface.

I am sorry to disturb, I actually still have many comments for OLSRv2-draft and will try to submit, and let the WG to decide. However, I thank you and Chris to explain to me so at least my other comments will be in understanding.

Abdussalam
++++++++++++++++++
On Mon, Apr 30, 2012 at 5:45 PM, Ulrich Herberg <[email-masked]<mailto:[email-masked]>> wrote:
Abdussalam,

RFC6130 defines:

MANET interface:

OLSRv2 interface:
      A MANET interface running this protocol.  A router running this
      protocol MUST have at least one OLSRv2 interface.
In one of the last OLSRv2 revisions, we made sure that OLSRv2 differentiates between neighbors running only NHDP and neighbors running also OLSRv2, and only the latter are used for MPR selection, etc. I do not understand what you would like to change in the OLSRv2 draft.

See comments below:
On Mon, Apr 30, 2012 at 8:24 AM, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
Hi Henning,

Please note that I read the first pages of draft many times before posting any information.

HR>I would suggest reading the OLSRv2-draft again, especially section 2.

>protocol MUST have at least one OLSRv2 interface.
HR>A routing protocol which does not run on any interface would be pretty
>useless, right?
You reply to the second sentence not the first which has 'running this protocol' relating it not to the router it is relating it to the interface. I know that router must have at least a network-interface ( or data-link-layer) or MANET interface, this is not what I commenting and the draft is mentioning. We don't assume at least Data-Link because it is obvious and we are following TCP/IP model in the internet, but not at least a specific-interface called bla bla.

Why it defines the 'OLSRv2-interface' as a MANET-interface that RUNS this protocol (OLSRv2) this means there is some thing related to OLSRv2 in the layer-2. You should read again another paragraph mentioning as if there is difference between MANET-interface and OLSRv2-interface.

OLSRv2-14>p9>
interfaces using [RFC6130]. The set of a router's OLSRv2

AB> it is clear from the above draft-page-9, that all MANET interfaces are not an OLSRv2-interface, but All OLSRv2 interfaces are MANET-interfaces. So we have to have in or node at least an OLSRv2-interface, not at least one MANET-interfac so the protocol to work correctly.

AB> The above page-9 mentions NHDP as well that interfaces need this protocol. What if there is not NHDP, or if it is not working, what will happen. The draft SHOULD explain these issues.

AB> It may be that all OLSRv2 routers (as implementation point of practice) only need at least one MANET interface. But the authors need to change. therefore, we know that All routers need at least on interface, but the draft-wording has a special OLSRv2-interface. Then we need to change the draft wording to the right explaination.

Can you suggest what you would like to change? I don't understand your point.

Best regards
Ulrich

Hi Chris

ok then if it was simple to explain as a special interface as IP-interface why we have OLSRv2_draft saying that it is network-interface as MANET is a network, but IP is not it is a protocol. IMO it is wrong to refer to a network while you mean a protocol, even though I know I may misunderstood. I sugget that this SHOULD be explained clearly. I think every one seems to understand that network-interface must include Data-Link-layer, therefore, RFC6130 or OLSRv2-draft should define well as you did. I thank you for your comment,

Therefore I suggest to change OLSRv2-interface definition as Chris defined it very clearly. I hope the draft can change the definition,

Abdussalam
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK) <Chris.Dearlove at baesystems.com<mailto:Chris.Dearlove%20at%20baesystems.com>> wrote:

An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn't care about that. Your statement "a MANET interface is a data link interface" is wrong.

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>
chris.dearlove at baesystems.com<mailto:chris.dearlove%20at%20baesystems.com> | http://www.baesystems.com<http://www.baesystems.com/>

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Thomas Heide Clausen <[email-masked]>
Date: Tue, 1 May 2012 14:23:09 +0200

On 1 May 2012, at 13:41, Abdussalam Baryun <[email-masked]> wrote:

> chris explained>An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn’t care about that. Your statement “a MANET interface is a data link interface” is wrong.
> 

Again, you misunderstand. I state that it's immaterial which it is, as long as it satisfies the characteristics that Chris describe.

Thomas

> On Mon, Apr 30, 2012 at 10:28 PM, Ulrich Herberg <[email-masked]> wrote:
> Abdussalam,
> 
> On Mon, Apr 30, 2012 at 2:10 PM, Abdussalam Baryun <[email-masked]> wrote:
> Hi Herberg,
>  
> >An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP >receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn’t >care about that. Your statement “a MANET interface is a data link interface” is wrong.
> 
> On Mon, Apr 30, 2012 at 5:45 PM, Ulrich Herberg <[email-masked]> wrote:
> Abdussalam,
> 
> RFC6130 defines:
> 
> 
> MANET interface:
> On Mon, Apr 30, 2012 at 8:24 AM, Abdussalam Baryun <[email-masked]> wrote:
> Hi Henning,
>  
> On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK) <Chris.Dearlove at baesystems.com> wrote:
> 
> 
> An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn’t care about that. Your statement “a MANET interface is a data link interface” is wrong.
> 
>  
> 
> --
> 
> Christopher Dearlove
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 1 May 2012 13:31:13 +0100

Hi Chris

if it cannot be physical and cannot be in the underlying data-link layer
(data link was mentioned in draft), then I don't care much for the change
or addition, but if it can be all in physical and logical, I beleive it
must state both physical and logical as long the draft states data link. I
am completely lost here,

I started to think to that I should wait for any other commenters before my
last reply comments.

Abdussalam

On Tue, May 1, 2012 at 1:19 PM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  I explicitly said it could be physical (but it doesn’t matter) in a
> different email than the one you quoted.****
>
> ** **
>
> -- ****
>
> Christopher Dearlove****
>
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> [email-masked] | http://www.baesystems.com
>
> Registered in England & Wales No: 1996687****
>
> ** **
>
> *From:* Abdussalam Baryun [mailto:[email-masked]]
> *Sent:* 01 May 2012 12:41
> *To:* Ulrich Herberg; [email-masked]
> *Cc:* manet; Dearlove, Christopher (UK)
> *Subject:* Re: [manet] Comments for OLSRv2-14****
>
> ** **
>
> ** **
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>on how to deal with suspicious emails.
> *****
>
> WG see the same danger of confusion, I would not change it.****
>
> will care if I authored a reviewed document.****
>
> well, I suggest re-reading his email.****
>
>  ****
>
> Ok, I read again. It does not mention that it may be physical. I
> understand from him it never can be physical, so I needed that to be clear,
> but now you mentioned that it can be physical.****
>
>  ****
>
> Abdussalam Baryun****
>
>
> ****
>  ****
> On Mon, Apr 30, 2012 at 10:28 PM, Ulrich Herberg <[email-masked]>
> wrote:****
>
> Abdussalam,
>
> Ulrich ****
> ** **
> [email-masked]> wrote:****
>
> Hi Herberg,****
>
>  ****
>
> explanation to the draft (even a line will do):****
>
>  ****
>
> - Mentioning which layer(s) the OLSRv2-interface works or allowed to be at
> by the protocol, or****
>
> - defining the MANET-interface as Chris defined (IP-interface, at layer 3)
> in terminology, or****
>
> - mentioning that OLSRv2-interface is not a wireless interface, or****
>
> - defining MANET-interface as logical interface.****
>
>
> ++++++++++++++++++****
> On Mon, Apr 30, 2012 at 5:45 PM, Ulrich Herberg <[email-masked]>
> wrote:****
>
> Abdussalam,
>
> RFC6130 defines: ****
>
>
>
> MANET interface:
>       discovery protocol.  A router may have several MANET interfaces.****
>
> And draft-ietf-manet-olsrv2 defines: ****
>
>
> OLSRv2 interface:
>       protocol MUST have at least one OLSRv2 interface.****
>
> See comments below:****
> [email-masked]> wrote:****
>
> Hi Henning,****
>
>  ****
>
> Please note that I read the first pages of draft many times before posting
> any information.****
>
>  ****
>
> HR>I would suggest reading the OLSRv2-draft again, especially section 2. *
> ***
>
>
>
> >OLSRv2 interface:
> >protocol MUST have at least one OLSRv2 interface.****
>
> >useless, right?****
> a specific-interface called bla bla.****
>
>  ****
>
> Why it defines the 'OLSRv2-interface' as a MANET-interface that RUNS this
> protocol (OLSRv2) this means there is some thing related to OLSRv2 in the
> layer-2. You should read again another paragraph mentioning as if there is
> difference between MANET-interface and OLSRv2-interface.****
>
>  ****
>
> OLSRv2-14>p9>****
>
> Supports routers that each have one or more participating OLSRv2****
>
> interfaces, which will consist of some or all of its MANET****
>
> interfaces using [RFC6130]. The set of a router’s OLSRv2****
>
> interfaces, and the sets of its other MANET and non-MANET****
>
> interfaces, may change over time. Each interface may have one or****
>
> more network addresses (which may have prefix lengths), and these****
>
> may also be dynamically changing.****
>
>  ****
>
> AB> it is clear from the above draft-page-9, that all MANET interfaces are
> not an OLSRv2-interface, but All OLSRv2 interfaces are MANET-interfaces. So
> we have to have in or node at least an OLSRv2-interface, not at least one
> MANET-interfac so the protocol to work correctly.****
>
>  ****
>
> happen. The draft SHOULD explain these issues.****
>
> ** **
>
>   ****
>
> the draft wording to the right explaination.****
>
>
>
>  +++++++++++++++++++++++++++++++++++++++++++****
>
>
>
> Hi Chris****
>
>  ****
>
> ok then if it was simple to explain as a special interface as IP-interface
> why we have OLSRv2_draft saying that it is network-interface as MANET is a
> network, but IP is not it is a protocol. IMO it is wrong to refer to a
> network while you mean a protocol, even though I know I may misunderstood.
> I sugget that this SHOULD be explained clearly. I think every one seems to
> understand that network-interface must include Data-Link-layer, therefore,
> RFC6130 or OLSRv2-draft should define well as you did. I thank you for your
> comment,****
>
>  ****
>
> Therefore I suggest to change OLSRv2-interface definition as Chris defined
> it very clearly. I hope the draft can change the definition,****
>
>  ****
>
> Abdussalam****
>
> at baesystems.com> wrote:****
>
> ** **
>
> An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is
> an IP interface, one which IP receives packets on, has one or more IP
> wrong.****
>  ****
> -- ****
> Christopher Dearlove****
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> chris.dearlove at baesystems.com | http://www.baesystems.com****
>
> ** **
>
> ** **
>
> ** **
>

---

From: Thomas Heide Clausen <[email-masked]>
Date: Tue, 1 May 2012 14:50:40 +0200

On 1 May 2012, at 14:31, Abdussalam Baryun <[email-masked]> wrote:

> Hi Chris
>  
> if it cannot be physical and cannot be in the underlying data-link layer (data link was mentioned in draft),

That was not at all what Chris wrote.

> then I don't care much for the change or addition, but if it can be all in physical and logical, I beleive it must state both physical and logical as long the draft states data link.

No, that doesn't follow either.

Thomas

> I am completely lost here,
>  
> I started to think to that I should wait for any other commenters before my last reply comments.
>  
> Abdussalam
> 
> On Tue, May 1, 2012 at 1:19 PM, Dearlove, Christopher (UK) <[email-masked]> wrote:
> I explicitly said it could be physical (but it doesn’t matter) in a different email than the one you quoted.
> 
>  
> 
> --
> 
> Christopher Dearlove
> 
> Please see this process on how to deal with suspicious emails.
>

---

From: Ulrich Herberg <[email-masked]>
Date: Tue, 1 May 2012 10:04:40 -0700

Abdussalam,

On Tue, May 1, 2012 at 4:41 AM, Abdussalam Baryun <
[email-masked]> wrote:

> which exclueds other readers or groups.
>

The IETF does not work by means of "majority" (which is not even possible
since there is no formal membership), but by rough consensus (and running
code). And every individual can (and should!) review a document and give
suggestions, which can help to improve a document. I just don't see how
your suggestions about the MANET/OLSRv2 interfaces would improve the OLSRv2
draft (for the reasons that Chris, Thomas and I have pointed out).

Regards
Ulrich

> However, I just will mention my comments and do my work, I really don't
> care of the outcome decision, but I will care if I authored a reviewed
> document.
>
> but now you mentioned that it can be physical.
>
> Abdussalam Baryun
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 10 May 2012 20:21:33 +0200

Hi Thomas,

I did not reply your last mail to me because didn't have references
and don't want to  argue, but I got now some references to you to give
you a picture of my understanding, please read below,

Abdussalam Baryun
University of Glamorgan, UK
++++++++++++++++++++++++++

In OLSRv2-draft [1] Page 7: OLSRv2 makes no assumptions about the
underlying link layer. OLSRv2, through its use of [RFC6130], may use
link layer information and notifications when available and
applicable.
==========================================
This draft has a routing protocol that carries the word “Link” but
still it is indicated in two different meanings in the document; first
as link-layer-state (e.g. BW), and second as hearing-existence between
neighbors for communication. However, [1] states that this routing
protocol has no assumption about the underlying data link layer, but
it needs at least on olsrv2-interface. However, this draft uses the
definitions of RFC6130 [2] and refers to RFC2501 for MANET. The term
“Interface” was defined in RFC6130 [2] not consistent with [4, 5, 6]
and RFC2501 indicates that manet-interface may be wireless interface
(as a link-layer interface), which can be understood from its
definition by [4]. The words “communication medium” was used in
RFC6130 to define interface, but if compared to [5], the words
“communication facility” was added with “medium”. In addition, the
RFC2501 [7] distinguishes between node identifier and interface
identifier, meaning that the network interfaces are in different layer
than routing protocol.

In [1] the olsrv2-interface runs the NHDP[2], and some terms in [1]
are defined as in [2]:
==========================================================
Interface:
A router’s attachment to a communications medium. An interface is
assigned one or more addresses.
MANET interface:
An interface participating in a MANET and using this neighborhood
discovery protocol. A router may have several MANET interfaces.
Link:
A link between two MANET interfaces exists if either can be heard by the other.
==========================================================
These above terms’ definitions are different than in [4, 5, and 6].
Therefore, the reviewer wanted to clarify the definitions in RFC6130
[2], or to explain the olsrv2-interface in manet-olsrv2-14 [1]. The
reviewer was confused about the definition of RFC6130 for a “Link”,
because it describes it as the existing of link/connection, not the
term meaning.  Furthermore, it was used in defining a link in [1, 2]
router’s attachment to, but in [4] it was node’s attachment to, the
reviewer is not sure why authors ignored the host (destination)
connection within the network. An interface was defined in [2] not
attachment to link, but attachment to communication medium. The
“communication medium” was defined in [4] as free-space, cable, or
fiber, which means that in [1, 2] may make a misleading concept of
defining the term “interface”.

References:
=========
1- Clausen, T., Dearlove, C., Jacquet, P., Herberg, U., “The Optimized
Link State Routing Protocol version 2”, work in progress, IETF, March
2012.
2- Clausen, T., Dearlove, C., Dean, J., “Mobile Ad Hoc Network (MANET)
Neighborhood Discovery Protocol (NHDP)”, RFC6130, IETF, April 2011.
3-  Melia, T., Gundavelli, S., “Logical Interface Support for
multi-mode IP Hosts”, work in progress, IETF, April, 2012.
4- Perkins, C.,“Mobile Ad Hoc Networking Terminology”, work in
progress, IETF, Nov. 1998.
5- Narten, T., Nordmark, E., Simpson, W., Soliman, H., “Neighbor
Discovery for IP version 6 (IPv6)”, RFC4861, IETF, Sep. 2007.
6- Blanchet, M., Seite, P., “Multiple Interfaces and Provisioning
Domains Problem Statement”, RFC6418, IETF, Nov. 2011.
7- Corson, S., Macker, J., “Mobile Ad hoc Networking (MANET): Routing
Protocol Performance Issues and Evaluation Considerations”, RFC2501,
IETF, Jan. 1999.

++++++++++++++++++++++++++

On 5/1/12, Thomas Heide Clausen <[email-masked]> wrote:
>> (data link was mentioned in draft),
>
>> then I don't care much for the change or addition, but if it can be all in
>> physical and logical, I beleive it must state both physical and logical as
>> long the draft states data link.
>
>> different email than the one you quoted.
>>
>>
>>
>> --
>>
>> Christopher Dearlove
>>
>> voices then (not sure how many you want), as long as the draft doesn't
>> care about each single review-comment it only follows majority agreement
>> on comments. This type of review-system makes the document not include all
>> comments and do my work, I really don't care of the outcome decision, but
>> I will care if I authored a reviewed document.
>>
>> see RFC 6130) is an IP interface, one which IP receives packets on, has
>> one or more IP addresses etc. It has a data link layer below it, but
>> OLSRv2 doesn’t care about that. Your statement “a MANET interface is a
>> data link interface” is wrong.
>>
>> understand from him it never can be physical, so I needed that to be
>> clear, but now you mentioned that it can be physical.
>>
>>
>>
>> Abdussalam Baryun
>>
>> wrote:
>> (or how the interfaces are defined). IMO, unless other people in the WG
>> see the same danger of confusion, I would not change it.
>>
>> Regards
>> Ulrich
>>
>>
>>
>> MANET-interfaces are in layer 3.  If we define protocols without
>> mentioning which layer it is located in, then how can we define such
>> protocol, its layer-location is more important than its functionality,
>> because each layer has its special interfaces, functions, services, and
>> messages. There are many documents that explain interface in the same
>> model that OLSRv2 is presenting so why didn't have confusion when I read
>> them?
>>
>> > is an IP interface, one which IP >receives packets on, has one or more
>> > IP addresses etc. It has a data link layer below it, but OLSRv2 doesn’t
>> > >care about that. Your statement “a MANET interface is a data link
>> > interface” is wrong.
>>
>> > relationship between MANET interface and OLSRv2 >interface clearly. I
>> > think that RFC6130/draft-ietf-manet-olsrv2 define the terminology
>> > correctly. If you would like to >change anything, please suggest
>> > concrete text to replace, so that I can better understand what you
>> > mean.
>>
>> interfaces in OLSRv2-draft. Maybe because I am not much familiar with
>> OLSR, or reading about network-interface in many papers, and I read
>> RFC2501 (it refers alot to wireless interface and communications) and
>> mentioned in RFC6130 for the interface as attach to communication medium,
>> I thought it was a medium as physical medium.
>>
>> by the protocol, or
>> in terminology, or
>> wrote:
>> any information.
>> protocol' relating it not to the router it is relating it to the
>> interface. I know that router must have at least a network-interface ( or
>> obvious and we are following TCP/IP model in the internet, but not at
>> least a specific-interface called bla bla.
>>
>>
>>
>> difference between MANET-interface and OLSRv2-interface.
>>
>>
>>
>> OLSRv2-14>p9>
>>
>> not an OLSRv2-interface, but All OLSRv2 interfaces are MANET-interfaces.
>> So we have to have in or node at least an OLSRv2-interface, not at least
>> one MANET-interfac so the protocol to work correctly.
>>
>>
>>
>> change. therefore, we know that All routers need at least on interface,
>> but the draft-wording has a special OLSRv2-interface. Then we need to
>> change the draft wording to the right explaination.
>>
>>
>>
>> RFC6130 or OLSRv2-draft should define well as you did. I thank you for
>> your comment,
>>
>>
>>
>> it very clearly. I hope the draft can change the definition,
>>
>>
>>
>> Abdussalam
>>
>> On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK)
>> <Chris.Dearlove at baesystems.com> wrote:
>>
>>
>>

---

From: Thomas Heide Clausen <[email-masked]>
Date: Thu, 10 May 2012 21:29:52 +0200

> University of Glamorgan, UK

That is true.

> neighbors for communication.

Link-State is a fairly well established class of protocols; there is no contradiction, they are not "two different meanings". Look at how a link-state protocol works, and what "link" in "link-state" means.

> However, [1] states that this routing
> it needs at least on olsrv2-interface.

That is what [1] states, and that which is true.

Your "However" indicates that you somehow see a contradiction ...  there is no contradiction.

> However, this draft uses the

[4] expired more than a decade ago, without being published by the IETF. [5, 6] do not apply. See some of the issues in RFC5889 and the discussions surrounding that RFC to understand why.

[1] and [2] are consistent, and apply to [MANET], so I still see no contradiction.

> (as a link-layer interface),

Which is not inconsistent with OLSRv2 or NHDP at all.

> which can be understood from its
> definition by [4].

[4] expired more than a decade ago, without being published by the IETF.

> The words “communication medium” was used in
> RFC6130 to define interface,but if compared to [5], the words

> “communication facility” was added with “medium”.

I am sorry, I do not understand what you're saying in the above. [5] still doesn't apply. See some of the issues in RFC5889 and the discussions surrounding that RFC to understand why.

> In addition, the

I'm sorry, no, it doesn't follow at all that they are in different layers. I do not understand why you would be lead to believe that they are.

> In [1] the olsrv2-interface runs the NHDP[2], and some terms in [1]

See comment before regarding applicability of [4, 5, 6]. NHDP and OLSRv2 define their interface expectations.

> [2], or to explain the olsrv2-interface in manet-olsrv2-14 [1].

Sorry, I do not understand what you are saying here.

> The
> because it describes it as the existing of link/connection,

That *is* the definition of link, though, in terms of routing-protocols. Again, go look at what "link" in "link state" means.

> not the
> term meaning.

?

>  Furthermore, it was used in defining a link in [1, 2]
> router’s attachment to, but in [4] it was node’s attachment to,

Again [4] was never published by the IETF and expired more than a decade ago - and doesn't apply.

> the
> connection within the network.

This is precisely because neither of OLSRv2, NHDP nor [MANET]  concerns _routers_, and does specifically *NOT* concern _hosts_.

> An interface was defined in [2] not

Again [4] was never published by the IETF and expired more than a decade ago - and doesn't apply.

> defining the term “interface”.

No, it doesn't, as - again - [4] was never published by the IETF and expired more than a decade ago - and doesn't apply.
 
Thomas

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 11 May 2012 10:17:44 +0000

I'll add only to Thomas's comments that all the interface, link etc. definitions that matter are in RFC 6130, which was, quite recently, approved by the IESG having passed all the numerous review stages before then. We couldn't modify RFC 6130 if we wanted to, and we don't, because it reached all that acceptance.

Now OLSRv2 just says that everything is like 6130, except that we pick a subset of MANET interfaces we are going to use for OLSRv2. There's no need for an  intrinsic property differentiating those interfaces, OLSRv2 will work if you pick any non-empty subset of your MANET interfaces and choose to run OLSrv2 on those interfaces. That's it. So logically nothing needs adding to what 6130 says on this topic. (We repeat a couple of comments for clarity, but actually that's not necessary. We certainly shouldn't change them, that would suggest a difference. There is no difference.)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Thomas Heide Clausen
Sent: 10 May 2012 20:30
To: Abdussalam Baryun
Cc: manet
Subject: Re: [manet] Comments for OLSRv2-14

----------------------! WARNING ! ----------------------
This message originates from outside our organisation,
either from an external partner or from the internet.
Keep this in mind if you answer this message.
Follow the 'Report Suspicious Emails' link on IT matters
for instructions on reporting suspicious email messages.
--------------------------------------------------------

That is true.

?

 
Thomas

> Protocol Performance Issues and Evaluation Considerations”, RFC2501,
_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet